Loading...
Searching...
No Matches
GUKBasisSet Class Reference

`#include <gamessukout.h>`

## Public Member Functions

void | outputCoord ()
void | outputBasis ()
bool | labelIndex (std::string label)
orbital | shellTypeFromString (std::string label)

## Public Attributes

std::vector< std::string > | atomLabels
std::vector< Eigen::Vector3d > | coordinates
std::vector< std::string > | shellLabels
std::vector< std::vector< orbital > > | shells
std::vector< std::vector< unsigned int > > | gtoIndicies
std::vector< double > | gtoExponents
std::vector< double > | gtoCoefficients
std::vector< double > | moEnergies
std::vector< std::vector< double > > | moVectors
int | nShell
int | nBasisFunctions
int | nElectrons

## Detailed Description

This class is used to hold the data parsed from the GAMESS-UK output before we create the Avogadro basis set object

## Member Function Documentation

## labelIndex()

bool labelIndex | ( | std::string | label | ) |

Return true if we have already processed an atom of this label type

## shellTypeFromString()

orbital shellTypeFromString | ( | std::string | label | ) |

Return the enum from basis.h for the supplied label as a string basisset.h: enum orbital { S, SP, P, D, D5, F, F7, UU };

The documentation for this class was generated from the following file:

- gamessukout.h